/*****************************************************************************
*
* File               i2c_2dig_7seg.h
* Date               1/26/10
* Processor          ATtiny45
*
* Description        Display digits and error codes (E0, E1, etc) on a pair
* of LED seven segment displays via a 16 bit I2C I/O expander
*
****************************************************************************/

#include "defines.h"

#define IOEXP_ADDR  0x20 // For MCP23017 I/O port expander
#define MESSAGEBUF_SIZE       4

#define IOCON 0x0A
#define DISSLW 0x10
#define ODR 0x04

#define IODIR 0x00

#define GPIO 0x12
#define GPIOA 0x12
#define GPIOB 0x13




void led_init();
void led_dec(int val);
void led_hex(byte val);


