/*****************************************************************************
*
* File               therm23.c
* Date               1/26/10
* Processor          ATtiny45
*
* Description        Read the temperature from a Dallas one-wire DS18B20
* (high accuracy) temperature sensor and display it on a couple of seven
* segment LED display via an I2C I/O expander (MCP23017).
*
****************************************************************************/

#define F_CPU 1000000UL       // Sets up the default speed for delay.h
#include <util/delay.h>
#include <avr/io.h>
#include "defines.h"
#include "USI_TWI_Master.h"
#include "temponewire.h"
#include "i2c_2dig_7seg.h"


int main( void )
{
	int temp;

   CONFIGT_B_OUTPUT;

   led_init();

   init_temp();

   while(1){

      temp = get_temp();
      led_dec(temp);
      //led_hex(temp>>4);

  }//while(1)

  return 0;
}//int main( void )




